%{?nodejs_find_provides_and_requires}

%global packagename chai-as-promised
%global enable_tests 1

Name:		nodejs-chai-as-promised
Version:	7.1.1
Release:	3%{?dist}
Summary:	Extends Chai with assertions about promises

License:	WTFPL
URL:		https://github.com/domenic/chai-as-promised.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(check-error)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
%endif

%description
Extends Chai with assertions about promises.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Apr 24 2018 Jared K. Smith <jsmith@fedoraproject.org> - 7.1.1-1
- Initial packaging
